Application: gvSIG desktop - gvSIG feature requests #4233

No se notifica cuando se realiza la carga de capas a partir de un proyecto a sus observadores
06/17/2016 09:19 AM - Daniel Martinez

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document view

Target version:

gvSIG version: 2.3.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Al abrir un proyecto no se anaden los observadores a las capas que se cargan.

LoadFromState de FLayers no notifica la carga de las capas a los observantes de FLayers.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 3613: Ver nd... New 06/24/2015

History

#1 - 07/07/2016 11:50 AM - Daniel Martinez

Pasos para reproducirlo:

1.- Abrir una capa.

2.- Seleccionar algunos elementos

3.- Invertir Seleccion

4.- Comprobar en la barra de estado, al pie de la aplicacion, que se corresponden los elementos seleccionados con lo mostrado
5.- Guardar la capa como un proyecto.

6.- Abrir el nuevo proyecto recién creado.

7.- Repetir pasos 2y 3

8.- Comprobar que no se corresponde la informacién mostrada en la barra de estado con los elementos seleccionados.

#2 - 07/11/2016 08:12 AM - Daniel Martinez

Se ha desactivado el plugin de selection count hasta que su funcionamiento sea correcto. Se ha modificado el comportamiento del listener, pero

presenta error ya que cuando se carga un proyecto completo, el mapcontext que estamos escuchando no recibe notificaciéon cuando se cargan las
capas del proyecto, por lo que el plugin no actualiza la informacién correctamente.

#3 - 07/11/2016 08:24 AM - Daniel Martinez

- Related to gvSIG feature requests #3613: Ver nimero de registros seleccionados en Vista added

#4 - 08/04/2016 06:29 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#5 - 06/07/2017 02:08 PM - Alvaro Anguix
- Target version deleted (2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220))
#6 - 04/16/2020 04:08 PM - Alvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests
